Bug 210397 - EL4.4 Install: incorrect driver loaded for qle2462 as install target
Summary: EL4.4 Install: incorrect driver loaded for qle2462 as install target
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hwdata (Show other bugs)
(Show other bugs)
Version: 4.4
Hardware: ia32e Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-11 20:36 UTC by Dale Busacker
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 16:45:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dale Busacker 2006-10-11 20:36:09 UTC
Description of problem:
The pcitable file in the install initrd associates the qla2322 driver with 
2432 and 2422 based QLogic FC adapters.  It should be qla2400 driver.

pcitable:0x1077 0x2422  "qla2322"       "QLogic Corp.|QLA2422 Fibre Channel 
Adapter"
pcitable:0x1077 0x2432  "qla2322"       "QLogic Corp.|QLA2432 Fibre Channel 
Adapter"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure system to install to FC disk connected to a qla2462 FC adapter
2.Start the install and incorrect qla driver loads 
3.
  
Actual results:
Incorrect driver (qla2322) loads and does not discover qla2400 adapter

Expected results:
qla2400 driver should load.

Additional info:

Comment 1 Dale Busacker 2006-10-11 20:40:25 UTC
Actual failure occurred using qle2462 rather than qla2462.

Comment 2 Steven Cook 2007-01-24 23:17:16 UTC
Please note that the driver v. 8.01.06 from QLogic's web page
(http://support.qlogic.com/support/os_detail.asp?productid=935&osid=65) appears
to resolve this issue.  Not sure if that helps, but figured the info couldn't
hurt. :)



Comment 4 Daniel Riek 2007-01-30 16:45:34 UTC
Close CURRENTRELEASE 4.5 based on comment #3


Note You need to log in before you can comment on or make changes to this bug.